fll-installer (0.11.5.11) unstable; urgency=medium

  [ Axel Konrad ]
  * update_fstab.bm
    - Changes related to the `set_mount_points` function of the cli-installer.

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 06 Aug 2026 15:07:40 +0200

fll-installer (0.11.5.10) unstable; urgency=medium

  [ Axel Konrad ]
  * update_fstab.bm
    - Fix swap mount options.
  * prepare_HD.bm
    - No mount options for ESP and XBOOTLDR output on the terminal.
  * update_passwd.bm
    - Fixed an error when changing the GECOS field for $NAME_NAME
      in /etc/passwd.

 -- Axel Konrad <ak-li@siduction.org>  Thu, 14 May 2026 19:57:09 +0200

fll-installer (0.11.5.9) unstable; urgency=medium

  [ Axel Konrad ]
  * Fix changelog
  * update_fstab.bm
    - Extended btrfs mount options.
    - If siduction is not installed on a USB device, the USB devices
      have not been removed.
  * prepare_bootmanager.bm
    - Removal of GRUB from the live system enabled.

  [Torsten Wohlfarth]
  * packaging

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 14 May 2026 14:01:42 +0200

fll-installer (0.11.5.8) unstable; urgency=medium

  [ Axel Konrad ]
  * prepare_bootmanager.bm, load_config.bm
    - The INET_CON test, which uses 'ping', has been moved from
      prepare_bootmanager.bm to load_config.bm.
  * Error codes revised and listed in initialization.bm
  * fll-installer
    - 'error' and 'sayit' output using 'printf' to allow line breaks.
  * update_fstab.bm
    - Basic test of the written fstab.
  * add_bootmanager.bm
    - Several checks to verify that the systemd-boot bootloader has been
      installed successfully.

 -- Axel Konrad <ak-li@siduction.org>  Tue, 12 May 2026 13:40:32 +0200

fll-installer (0.11.5.7) unstable; urgency=medium

  [ Axel Konrad ]
  * purge_live_only_stuff.bm
    - FREE_SW_ONLY removed.
    - 'disable live config' removed. The function has been integrated
      into /etc/default/distro.
  * initialization.bm
    - Set distro-defaults depends on existing /etc/default/distro.
  * prepare_HD.bm
    - Added mount options when using systemd-boot for the ESP and XBOOTLDR.
  * prepare_bootmanager.bm
    - Create files os-release and entry-token.
    - For the bootloader systemd-boot, install systemd-boot.
  * add_bootmanager.bm
    - New section: systemd-boot.
    - Optimized chroot mounts.
    - The previous kernel selection and initrd creation have been moved
      to the GRUB section.
    - Reinstall systemd-boot using chroot in the installation target.
    - Creating a custom initrd.
    - Adapting the systemd-boot configuration file.
    - Adapting the systemd-boot boot entry file.
    - FLL_GFXBOOT_THEME removed.
  * main.bm
    - The order in which the modules are executed has been adjusted.
  * Moved update_status.bm to /obsolet
  * progress.bm
    - Logging into .sidlog added.
  * fix_home_on_hd.bm
    - cat EOF with indentention (<<- EOF)

 -- Axel Konrad <ak-li@siduction.org>  Wed, 06 May 2026 13:45:04 +0200

fll-installer (0.11.5.6) unstable; urgency=medium

  [ Axel Konrad ]
  * control
    - Removed dependencies for grub-pc, grub-efi, and os-prober to allow
      systemd-boot to be installed without them.

 -- Axel Konrad <ak-li@siduction.org>  Sat, 02 May 2026 20:44:15 +0200

fll-installer (0.11.5.5) unstable; urgency=medium

  [ Axel Konrad ]
  * First commit with support of systemd-boot
  * fll-installer:
    - Remove INSTALLER_INOTIFY
  * prepare_bootmanager.bm (new)
    - Necessary preparations if systemd-boot was selected.
  * main.bm
    - Add prepare_bootmanager
  * add_bootmanager.bm
    - Additionally systemd-boot
  * purge_live_only_stuff
    - Remove GRUB if systemd-boot has been installed.
  * update_fstab.bm
    - fix umask
    - add VM partitions
    - Indentation with EOF
  * fix_home_on_HD.bm
    - Indentation with EOF
  * copy2HD.bm
    - fix usr-merge link

 -- Axel Konrad <ak-li@siduction.org>  Fri, 13 Mar 2026 14:13:08 +0100
 
fll-installer (0.11.5.4) unstable; urgency=medium

  [ Axel Konrad ]
  * update_fstab.bm:
    - Support for installation on logical volumes.

 -- Axel Konrad <ak-li@siduction.org>  Mon, 12 Jan 2026 15:55:52 +0100
 
fll-installer (0.11.5.3) unstable; urgency=medium

  [ Axel Konrad ]
  * Function 'say' changed to 'sayit'
  * add_bootmanager.bm
    - Rewritten with internal use of chroot.
    - Removed Temporary creation of the file fstab.
    - Removed creation of initial GRUB configuration.
    - Files install_grub.bm and install_grub_efi.bm that are
      no longer needed have been removed.
    - In case the file system is Btrfs, add 'snapshot @'
      to the boot line.
  * copy2HD.bm
    - Optimize double quote and curly braces
    - Use the if query directly on a function instead of [ "$?" -eq 0 ]
    - Removed two beeps
  * fix_etc_onHD.bm
    - Optimize double quote and curly braces
  * main.bm
    - Set module update_fstab before add_bootmanager
  * prepareHD.bm
    - Optimize double quote and curly braces
  * progress.bm
    - Optimize commands printf
    - Removed code of install-gui
  * update_fstab.bm
    - No removable usb media.
      (Since the startup process may be interrupted)
    - When installing to USB, remove all partitions
      that are not on this device.
  * initialization.bm
    - EFI features no longer needed removed.

 -- Axel Konrad <ak-li@siduction.org>  Mon, 29 Dec 2025 15:55:52 +0100
 
fll-installer (0.11.5.2) unstable; urgency=medium

  [ Axel Konrad ]
  * update_fstab.bm:
    - USB sticks and devicemapper mounts removed from the fstab file.
    - Some minor improvements.

 -- Axel Konrad <ak-li@siduction.org>  Wed, 03 Dec 2025 15:55:52 +0100
 
fll-installer (0.11.5.1) unstable; urgency=medium

  [ Axel Konrad ]
  * Support for btrfs part 2
  * update_fstab.bm: Rewritten in bash.
  * load_config.bm: Simplify code
  * Remove single quotation marks. Files:
      add_bootmanager.bm
      install_grub.bm
  * prepareHD.bm: Add subvolume @snapshots and some minor improvements.

 -- Axel Konrad <ak-li@siduction.org>  Tue, 02 Dec 2025 15:55:52 +0100

fll-installer (0.11.5.0) unstable; urgency=medium

  [ Axel Konrad ]
  * First commit with support of btrfs file system.
  * Fix various missing double quotation marks.
  * Remove quotation marks from the condition part of for loops.
  * fix_home_on_HD.bm, purge_live_only_stuff.bm
      Adjustments to changed files and programs.
  * fix_home_on_HD.bm
      Change 'rm -Rf "${dir}"/*' to 'rm -Rf "${dir:?}"/*'
      What happens if $dir is empty? We have a test beforehand, but still.
  * clean_exit.bm
      Unmounting nested mounts.
  * fll-installer
      Change from /bin/sh to /usr/bin/bash
      Reason: We would like to use some bash extensions and
      upstream is located in "Morgue for obsolete fullstory packages".

 -- Axel Konrad <ak-li@siduction.org>  Thu, 20 Nov 2025 15:55:52 +0100

fll-installer (0.11.4.1) unstable; urgency=medium

  [ Axel Konrad ]
  * Purge Live Desktop icons from the installation.

 -- Axel Konrad <ak-li@siduction.org>  Sun, 16 Nov 2025 15:55:52 +0100

fll-installer (0.11.4) unstable; urgency=medium

  [ Axel Konrad ]
  * Exclude NAME_NAME from test for undefined variable.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 14 Jul 2023 14:55:52 +0200

fll-installer (0.11.3.6.2) unstable; urgency=medium

  * really fixed usr-merge

 -- Alf Gaida <agaida@siduction.org>  Sun, 04 Nov 2018 17:14:30 +0100

fll-installer (0.11.3.6.1) unstable; urgency=medium

  * second attempt

 -- Alf Gaida <agaida@siduction.org>  Sun, 04 Nov 2018 15:59:57 +0100

fll-installer (0.11.3.6) unstable; urgency=medium

  * Sync with upstream
  * Prepared usr-merge (not tested yet)

 -- Alf Gaida <agaida@siduction.org>  Sun, 04 Nov 2018 14:54:20 +0100

fll-installer (0.11.3.5) unstable; urgency=medium

  * Removed recommend sidu-installer

 -- Alf Gaida <agaida@siduction.org>  Fri, 07 Apr 2017 22:47:54 +0200

fll-installer (0.11.3.4) unstable; urgency=medium

  * copy a possible configuration to sddm.conf

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Dec 2016 23:09:05 +0100

fll-installer (0.11.3.3) unstable; urgency=medium

  * fix sddm theme

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Dec 2016 22:19:19 +0100

fll-installer (0.11.3.2) unstable; urgency=medium

  [ Alf Gaida ]
  * Exclude $HOME/.local/share/akonadi* from installation
  * Bumpde Standards to 3.9.8
  * Bumped minimum version debhelper (>= 10)
  * Bumped compat to 10

  [ Hendrik Lehmbruch ]
  * fixes KDE keyboard layouts

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Dec 2016 19:38:33 +0100

fll-installer (0.11.3.1) unstable; urgency=medium

  * some minor fixes

 -- Alf Gaida <agaida@siduction.org>  Sun, 07 Aug 2016 22:11:17 +0200

fll-installer (0.11.3) unstable; urgency=medium

  [ Stefan Lippers-Hollmann ]
  * NOT RELEASED YET

  [ Alf Gaida ]
  * take the whole upstream changelog, drop our changelog
  * go with upstream versions
  * remove fll-live-initscripts version
  * leave only important changes in our sources
    - Zeppo, hama, myself and other contributors - you are not
      forgotten, but i had to clean up the diffs - sorry. The
      commits and living code are still in git

 -- Alf Gaida <agaida@siduction.org>  Sat, 25 Jun 2016 15:00:12 +0200

fll-installer (0.11.2) unstable; urgency=medium

  * generate ed25519 ssh host keys.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 24 Feb 2016 22:38:03 +0100

fll-installer (0.11.1) unstable; urgency=medium

  * stop creating /etc/initramfs-tools/conf.d/resume, modern initramfs-tools
    fails over this.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 11 Dec 2015 06:45:03 +0100

fll-installer (0.11.0) unstable; urgency=medium

  * adapt to new lightdm autologin.
  * add support for lxdm autologin.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 27 Nov 2015 00:44:13 +0100

fll-installer (0.10.46) unstable; urgency=medium

  * revert KDE5-kdesu preseeding as well as KDE4-kdesu preseeding.
  * drop KDE3/ KDE4 specific autostart reversion and stick to the XDG
    approach.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 20 Oct 2015 05:00:05 +0200

fll-installer (0.10.45) unstable; urgency=medium

  * remove /var/lib/sddm/state.conf as well. Drop unnecessary test condition,
    rm -f is silent anyways.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 12 Jul 2015 01:24:30 +0200

fll-installer (0.10.44) unstable; urgency=medium

  * revert SDDM autologin.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 02 Jul 2015 21:18:43 +0200

fll-installer (0.10.43) unstable; urgency=medium

  * make sure to extend the rsync call to copy xattrs, acls and hardlinks as
    well.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 21 Feb 2015 20:36:01 +0100

fll-installer (0.10.42) unstable; urgency=medium

  * use sysfs to get efi platform size and rework grub-efi deb overrides.

 -- Niall Walsh <niallwalsh@celtux.org>  Mon, 12 Jan 2015 22:18:55 +0000

fll-installer (0.10.41) unstable; urgency=medium

  * bump standards version to 3.9.6, no changes necessary.
  * drop last remains of fll-iso2disk.
  * convert to machine readable copyright.
  * add a minimal manpage.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 03 Jan 2015 19:47:52 +0100

fll-installer (0.10.40) unstable; urgency=medium

  * enable grub themes for the HD install, if the configured one is still
    installed.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 08 Dec 2014 05:06:07 +0100

fll-installer (0.10.39) unstable; urgency=medium

  * do not copy a dir containing FLL_MOUNTPOINT or TARGET_MNT_POINT.

 -- Niall Walsh <niallwalsh@celtux.org>  Thu, 30 Oct 2014 13:31:59 +0000

fll-installer (0.10.38) unstable; urgency=medium

  * take extras from /fll/extras if there.

 -- Niall Walsh <niallwalsh@celtux.org>  Sat, 25 Oct 2014 12:16:24 +0100

fll-installer (0.10.37) unstable; urgency=medium

  * fdisk output for gpt disks has changed to update the esp/fat finders.

 -- Niall Walsh <niallwalsh@celtux.org>  Wed, 08 Oct 2014 19:18:25 +0100

fll-installer (0.10.36) unstable; urgency=medium

  * fix grub device setting
  * fix and clean fstab wanted and ignore devices
  * fix disk de-dupe and de-dupe fll_disk_usb
  * update_fstab: use disk.bm usb detection and update local variables
  * install_grub_efi: strip out defunct junk and update local and calls
  * fix add_bootmanager config generation message to not mention efi

 -- Niall Walsh <niallwalsh@celtux.org>  Tue, 30 Sep 2014 14:17:10 +0100

fll-installer (0.10.35) unstable; urgency=medium

  * rewrite fll_crypt_device to protect pairs well
  * fix test for when to use uuid for cryptsource
  * update add_bootmanager to use fll_disk_device to map drives
  * rewrite add_bootmanager usb test to check no mapped drives is not usb
  * get_usbefi using fll_disk_usb to walk out
  * install_grub accepts a list in BOOT_WHERE
  * install_grub rewrite usb test for portable
  * fix isusb return
  * drop spurious TEST output and fix update_fstab list of calls

 -- Niall Walsh <niallwalsh@celtux.org>  Mon, 29 Sep 2014 16:22:22 +0100

fll-installer (0.10.34) unstable; urgency=medium

  * fll_disk_device and fll_crypt_device, make results uniq
  * add fll_disk_usb and fll_disk_isusb functions to disk.bm

 -- Niall Walsh <niallwalsh@celtux.org>  Wed, 17 Sep 2014 22:48:20 +0100

fll-installer (0.10.33) unstable; urgency=medium

  * add some crypt looking up to disks.bm
  * re-order fstab and crypttab creation for add_bootloader
  * move grub.cfg generation up into add_bootloader (de-duping)

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 12 Sep 2014 22:44:26 +0200

fll-installer (0.10.32) unstable; urgency=medium

  * add common/disk.bm module, start with device lookup
  * update_fstab overhaul to use new disk.bm

 -- Niall Walsh <niallwalsh@celtux.org>  Fri, 12 Sep 2014 21:28:27 +0100

fll-installer (0.10.31) unstable; urgency=medium

  * add /disks/ to the excludes.
  * drop floppy boot disk creation.

 -- Niall Walsh <niallwalsh@celtux.org>  Fri, 05 Sep 2014 02:13:35 +0100

fll-installer (0.10.30) unstable; urgency=medium

  [ Niall Walsh ]
  * install grub-efi-${arch} not grub-efi when boot arch != install arch
  * stop limiting efi installs to only amd64

  [ Stefan Lippers-Hollmann ]
  * remove os-prober for portable installs.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 03 Sep 2014 20:59:23 +0200

fll-installer (0.10.29) unstable; urgency=medium

  * fix portable-efi path for msdos at least.

 -- Niall Walsh <niallwalsh@celtux.org>  Tue, 02 Sep 2014 20:31:21 +0100

fll-installer (0.10.28) unstable; urgency=medium

  * have usb installs setup grub2-fll-portable-efi when they have vfat.

 -- Niall Walsh <niallwalsh@celtux.org>  Tue, 02 Sep 2014 15:42:13 +0100

fll-installer (0.10.27) unstable; urgency=medium

  * fix the usb install fstab tweak to actually work for lvm devices

 -- Niall Walsh <niallwalsh@celtux.org>  Tue, 02 Sep 2014 04:31:01 +0100

fll-installer (0.10.26) unstable; urgency=medium

  * usb installs should only have devices on that usb device in fstab

 -- Niall Walsh <niallwalsh@celtux.org>  Sat, 30 Aug 2014 22:23:28 +0100

fll-installer (0.10.25) unstable; urgency=medium

  * stop forcing usb to partition.

 -- Niall Walsh <niallwalsh@celtux.org>  Fri, 29 Aug 2014 21:15:33 +0100

fll-installer (0.10.24) unstable; urgency=medium

  * rename knoppix-utils.bm to fll-installer-utils.bm.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 23 Aug 2014 20:02:25 +0200

fll-installer (0.10.23) unstable; urgency=medium

  * remove some more fll-iso2usb remains.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 12 Aug 2014 23:38:38 +0200

fll-installer (0.10.22) unstable; urgency=medium

  * debconf set grub-pc install device

 -- Niall Walsh <niallwalsh@celtux.org>  Tue, 12 Aug 2014 20:38:56 +0100

fll-installer (0.10.21) unstable; urgency=medium

  * drop fll-iso2usb for the time being.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 12 Aug 2014 21:04:45 +0200

fll-installer (0.10.20) unstable; urgency=medium

  * fix escaping.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 08 Aug 2014 04:32:42 +0200

fll-installer (0.10.19) unstable; urgency=medium

  * yet one more chroot qualifier.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 08 Aug 2014 03:57:31 +0200

fll-installer (0.10.18) unstable; urgency=low

  * fix systemd sanitation.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 08 Aug 2014 03:51:00 +0200

fll-installer (0.10.17) unstable; urgency=low

  * debian/control: switch Vcs tags to github.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 13 Apr 2014 22:13:37 +0200

fll-installer (0.10.16) unstable; urgency=low

  * bump standards version to 3.9.5, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 15 Feb 2014 00:36:40 +0100

fll-installer (0.10.15) unstable; urgency=low

  * make sysvinit and systemd getty mangling reversal independent of each
    other, as they're technically co-installable.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 15 Feb 2014 00:35:12 +0100

fll-installer (0.10.14) unstable; urgency=low

  * undo systemd based getty mangling.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 24 Jun 2013 20:03:53 +0200

fll-installer (0.10.13) unstable; urgency=low

  * drop fix_usb_install.bm, device.map is pretty dead
  * do not try to install grub to (hd0), use grub-mkdevicemap to get real dev

 -- Niall Walsh <niallwalsh@users.berlios.de>  Mon, 24 Jun 2013 16:00:10 +0100

fll-installer (0.10.12) unstable; urgency=low

  * selinuxfs is now mounted at /sys/fs/selinux/, don't create /selinux/
    anymore.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 07 May 2013 18:27:58 +0200

fll-installer (0.10.11) unstable; urgency=low

  * drop GRUB_DISTRIBUTOR mangling.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 04 May 2013 00:59:51 +0200

fll-installer (0.10.10) unstable; urgency=low

  * output kexec-tools purging on STDERR.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 18 Apr 2013 22:35:43 +0200

fll-installer (0.10.9) unstable; urgency=low

  * purge kexec-tools on uefi systems, where garbage collection is crucial.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 18 Apr 2013 22:24:09 +0200

fll-installer (0.10.8) unstable; urgency=low

  * don't backup the MBR anymore, restoring it on GPT disks would be fatal and
    there are safer methods for MSDOS disks as well.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 19 Mar 2013 14:26:22 +0100

fll-installer (0.10.7) unstable; urgency=low

  * bump standards version to 3.9.4, no changes necessary.
  * update FSF postal address to be URLs.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jan 2013 02:28:49 +0100

fll-installer (0.10.6) unstable; urgency=low

  * fixed "Bad device.map on USB install" reported on aptosid 2011-03.

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 18 Aug 2012 16:27:20 +0200

fll-installer (0.10.5) unstable; urgency=low

  * added line to the exclusion list for lxde.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Feb 2012 16:10:40 +0100

fll-installer (0.10.4) unstable; urgency=low

  * bump standards version to 3.9.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Feb 2012 16:10:25 +0100

fll-installer (0.10.3) unstable; urgency=low

  * convert_live2HD remove comments saying it uses removed modules
  * drop aptosid-gnome-gsettings-live from live purge lists (it doesn't exist)

 -- Niall Walsh <niallwalsh@users.berlios.de>  Sun, 22 Jan 2012 16:07:58 +0000

fll-installer (0.10.2) unstable; urgency=low

  * switch to compat level 9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 16 Jan 2012 01:09:10 +0100

fll-installer (0.10.1) unstable; urgency=low

  * purge aptosid-gnome-gsettings-live, thanks to convbsd.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 07 Jan 2012 02:22:00 +0100

fll-installer (0.10.0) unstable; urgency=low

  * fll-iso-strip:
    - update to isolinux (including isohybrid)
    - fixup xorriso, including adding modification-date and efi-dir
    - make usage display not just hidden in comments
    - many cleanups

 -- Niall Walsh <niallwalsh@users.berlios.de>  Fri, 23 Dec 2011 17:12:08 +0000

fll-installer (0.9.13) unstable; urgency=low

  * convert to xorriso.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 17 Dec 2011 20:22:17 +0100

fll-installer (0.9.12) unstable; urgency=low

  * drop mtab clobbering, breaks insufficient initscripts.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 17 Dec 2011 18:45:22 +0100

fll-installer (0.9.11) unstable; urgency=low

  * fix fluxbox menu after install.

 -- Joaquim Boura <x-un-i@sapo.pt>  Sun, 30 Oct 2011 23:07:42 +0100

fll-installer (0.9.10) unstable; urgency=low

  * fix etc for lightdm autologin.

 -- Niall Walsh <niallwalsh@users.berlios.de>  Sun, 09 Oct 2011 13:48:01 +0100

fll-installer (0.9.9) unstable; urgency=low

  * fix /etc/mtab handling to be either an empty regular file or a symlink to
    /proc/mounts.
  * drop useless local variable for inittab location.
  * drop useless local variable for sudoers location.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 27 Jul 2011 20:53:26 +0200

fll-installer (0.9.8) unstable; urgency=low

  * fll-iso2usb: do not fail/ignore persist on ext4

 -- Niall Walsh <niallwalsh@users.berlios.de>  Fri, 22 Jul 2011 19:19:04 +0100

fll-installer (0.9.7) unstable; urgency=low

  * fll-iso2usb: use blkid methods to get fs type directly, parsing can break

 -- Niall Walsh <niallwalsh@users.berlios.de>  Thu, 14 Jul 2011 12:41:08 +0100

fll-installer (0.9.6) unstable; urgency=low

  * install without a bootloader if we would use efi but are not on amd64.

 -- Niall Walsh <niallwalsh@users.berlios.de>  Wed, 06 Jul 2011 22:45:07 +0100

fll-installer (0.9.5) unstable; urgency=low

  * Add lsof to Depends
  * don't mount/umount /sys in update_initramfs (add_bootloader does it)
  * add efi system partition to HD_MAP when it's being used

 -- Niall Walsh <niallwalsh@users.berlios.de>  Wed, 06 Jul 2011 00:13:48 +0100

fll-installer (0.9.4) unstable; urgency=low

  * use install_grub_efi to install and configure grub_efi in efi system part
    when system is booted with efi and has a non usb efi system partition and
    install target root partition is not on usb.

 -- Niall Walsh <niallwalsh@users.berlios.de>  Tue, 05 Jul 2011 19:22:22 +0100

fll-installer (0.9.3) unstable; urgency=low

  * don't write /etc/kernel-img.conf anymore, it's usage is deprecated and
    discouraged.
  * allow grub-pc | grub-efi as alternative dependency for fll-installer.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 05 Jul 2011 03:19:25 +0200

fll-installer (0.9.2) unstable; urgency=low

  * depend on base-files (>= 6.4), we need it for /run/ (this implicitly
    ensures a new enough initscripts package as well).
  * clarify previously log message about missing procfs a bit.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 29 May 2011 04:12:06 +0200

fll-installer (0.9.1) unstable; urgency=low

  * add /run/ to the list of virtual filesystems to be bind-{,u}mounted as
    needed.
  * don't try to mount procfs on the host from within the installer, we
    have bigger problems if /proc isn't accessible on the host.
  * avoid $BOOTMANAGER_PROC trickery, the virtual filesystems are needed for
    all steps during the bootloader configuration.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 29 May 2011 02:56:14 +0200

fll-installer (0.9.0) unstable; urgency=low

  * bump standards version to 3.9.2, no changes necessary.
  * add /run/ to rsync exclusion list.
  * fix dangling eMail addresses.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 28 Apr 2011 23:30:59 +0200

fll-installer (0.8.12) unstable; urgency=low

  * drop support for gdm (#613491).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 20 Feb 2011 02:32:00 +0100

fll-installer (0.8.11) unstable; urgency=low

  * create SSH2 ECDSA key.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 19 Feb 2011 03:27:15 +0100

fll-installer (0.8.10) unstable; urgency=low

  * drop forgotten debug statement.
  * drop pre-squeeze dependencies.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 21 Jan 2011 14:29:39 +0100

fll-installer (0.8.9) unstable; urgency=high

  * avoid valid URI characters in sed arguments.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 21 Jan 2011 02:53:27 +0100

fll-installer (0.8.8) unstable; urgency=low

  * use sed instead of perl for remaining installer uses.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 21 Jan 2011 02:21:44 +0100

fll-installer (0.8.7) unstable; urgency=low

  * make use of /etc/sudoers.d/ and just delete live-only hack.
  * drop unused XFCE shutdown/reboot sudo hacks.
  * sanitize variable handling in fix_etc_on_HD.bm.
  * use sed instead of perl for inittab sanitation.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 21 Jan 2011 01:50:56 +0100

fll-installer (0.8.6) unstable; urgency=low

  * partial re-introduction of svnr 28269:28396:
    - gdm3 revert.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 20 Jan 2011 02:19:06 +0100

fll-installer (0.8.5) unstable; urgency=low

  [ Joaquim Boura ]
  * Patch for an aptosid-gnome from Angelescu Ovidiu <mrhsaacdoh@gmail.com> aka
    convbsd and William J. Henderson <tornado@tjtag.com> aka tjtag
  * changed install mountpoint from /media to /mnt. This allow us to get rid
    from the automount_popup ugliness in the install-gui. Suggested by convbsd.
  * install mountpoint moved to /fll
  * fll_iso2usb only copy the background wallpaper for grub2 when running live.

  [ Stefan Lippers-Hollmann ]
  * fix variable typo.
  * partial revert for svnr 28269:28396, as the corresponding setup code has
    already been reverted before.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 20 Jan 2011 01:20:18 +0100

fll-installer (0.8.4) unstable; urgency=low

  * ignore option was made powerful.
  * fll_fstab_generator does not beautify the fstab anymore.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 23 Nov 2010 22:47:34 +0100

fll-installer (0.8.3) unstable; urgency=low

  * option ignore for the fstab generator has changed/enhanced.

 -- Joaquim Boura <x-un-i@users.berlios.de>  Sat, 20 Nov 2010 23:44:20 +0100

fll-installer (0.8.2) unstable; urgency=low

  * when building the fstab ignore the /dev/mapper partition where the live is.

 -- Joaquim Boura <x-un-i@users.berlios.de>  Fri, 19 Nov 2010 17:30:58 +0100

fll-installer (0.8.1) unstable; urgency=low

  * use uuid if possible for non /dev/mapper cryptopts source devices

 -- Niall Walsh <niallwalsh@users.berlios.de>  Wed, 20 Oct 2010 17:49:11 +0100

fll-installer (0.8.0) unstable; urgency=low

  * Detect lvm on crypt for cryptopts.
  * Always set cryptopts target rather then requiring cryptroot.

 -- Niall Walsh <niallwalsh@users.berlios.de>  Thu, 07 Oct 2010 17:25:03 +0100

fll-installer (0.7.5) unstable; urgency=low

  * If crypsetup offers a device for root, set cryptopts=source= in grub
  * Only set vga= for grub if one is found from the cmdline

 -- Niall Walsh <niallwalsh@users.berlios.de>  Wed, 06 Oct 2010 18:14:38 +0100

fll-installer (0.7.4) unstable; urgency=low

  * fix hjt's mail address.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 06 Oct 2010 15:37:33 +0200

fll-installer (0.7.3) unstable; urgency=low

  * fixed my email address

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 01 Oct 2010 21:06:50 +0200

fll-installer (0.7.2) unstable; urgency=low

  * use installed wallpaper if the user has it or if we are running live
    otherwise no background is used.

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 30 Sep 2010 23:12:38 +0200

fll-installer (0.7.1) unstable; urgency=low

  * s/grub2/grub-pc/.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 02 Sep 2010 19:15:23 +0200

fll-installer (0.7.0) unstable; urgency=low

  * adapt to aptosid.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 29 Aug 2010 19:23:30 +0200

fll-installer (0.6.5) unstable; urgency=low

  * switch to compat level 8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 08 Aug 2010 03:54:47 +0200

fll-installer (0.6.4) unstable; urgency=low

  * purge nbd-client while installing, it's used in a live-only context
    within a default sidux install.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 03 Aug 2010 18:31:58 +0200

fll-installer (0.6.3) unstable; urgency=low

  * bump standards version to 3.9.1, no changes necessary.
  * switch priority to optional.
  * elaborate long description a bit further, to make lintian happy.
  * prefer grub2 as bootloader for fll-iso2usb.
  * declare enhancement of qt-fll-iso2usb-gui and install-usb-gui to
    fll-iso2usb.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 03 Aug 2010 18:18:06 +0200

fll-installer (0.6.2) unstable; urgency=low

  * use a generic method for SERVICES_START.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 11 Jun 2010 00:19:33 +0200

fll-installer (0.6.1) unstable; urgency=low

  * quick workaround to enable ssh conditionally on SERVICES_START.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 26 May 2010 22:22:47 +0200

fll-installer (0.6.0) unstable; urgency=low

  * adapt to new initscript handling required for >=2010-01.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 26 May 2010 15:02:25 +0200

fll-installer (0.5.19) unstable; urgency=low

  * update_fstab: replace fll_resume_validate with a simple parsing of
    fstab after it has been updated.

 -- Kel Modderman <kel@otaku42.de>  Thu, 22 Apr 2010 19:34:33 +1000

fll-installer (0.5.18) unstable; urgency=low

  * system_services.bm: no special case for desktop managers.

 -- Kel Modderman <kel@otaku42.de>  Wed, 14 Apr 2010 22:11:23 +1000

fll-installer (0.5.17) unstable; urgency=low

  * system_services.bm: sync service whitelist with pyfll. Add desktop
    managers.

 -- Kel Modderman <kel@otaku42.de>  Wed, 14 Apr 2010 21:26:35 +1000

fll-installer (0.5.16) unstable; urgency=low

  * add fll-installer-common and cliinstaller to the list of packages
    to be purged on installed system
  * minor typo fix
  * removed check for cliinstaller's existance. no need for it

 -- Nikolas Poniros <edhunter@users.berlios.de>  Tue, 09 Mar 2010 19:29:11 +0100

fll-installer (0.5.15) unstable; urgency=low

  * fix hyphen-used-as-minus-sign in fll-iso2usb.8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 27 Feb 2010 23:03:56 +0100

fll-installer (0.5.14) unstable; urgency=low

  [ Nikolas Poniros ]
  * fix fll-iso2usb to be able to use the long label option
    (missing ":" in getopt list)
  * add :-0 to some variables to make sure those have some
    default value before those get compared

  [ Stefan Lippers-Hollmann ]
  * Switch to dpkg-source 3.0 (native) format.
  * bump standards version to 3.8.4, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 27 Feb 2010 23:00:44 +0100

fll-installer (0.5.13) unstable; urgency=medium

  * make sure to ignore escape sequences.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 20 Jan 2010 04:00:28 +0100

fll-installer (0.5.12) unstable; urgency=medium

  * make sure to clean up policy-rc.d diversion.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 20 Jan 2010 03:46:40 +0100

fll-installer (0.5.11) unstable; urgency=low

  * namimg of kernel files changed.

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 20 Dec 2009 13:50:25 +0100

fll-installer (0.5.10) unstable; urgency=low

  [ Joaquim Boura ]
  * get rid of grub install errors when installing  on USB device.
  * set/propagate the vga parameter for the kernel.

  [ Niall Walsh ]
  * Add keyboard-configuration to the system services packages

 -- Niall Walsh <niallwalsh@users.berlios.de>  Fri, 18 Dec 2009 04:01:39 +0000

fll-installer (0.5.9) unstable; urgency=low

  * fix last commit, HD_FORMAT will not ever be blank.

 -- Niall Walsh <niallwalsh@users.berlios.de>  Wed, 09 Dec 2009 12:48:59 +0000

fll-installer (0.5.8) unstable; urgency=low

  * let HD_FSTYPE go unset when HD_FORMAT is also unset

 -- Niall Walsh <niallwalsh@users.berlios.de>  Wed, 02 Dec 2009 20:34:44 +0000

fll-installer (0.5.7) unstable; urgency=low

  * fix my premature patch to change gfxmenu handling in fll-iso2usb.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 25 Nov 2009 22:30:56 +0100

fll-installer (0.5.6) unstable; urgency=low

  [ Joaquim Boura ]
  * fixed typo in man page
  * only purge virtualbox packages when they are installed.
  * supports from grub/grub-gfxboot gone!!

  [ Stefan Lippers-Hollmann ]
  * hard depend on grub2, we no longer support grub-legacy or grub-gfxboot.
  * keep grub-gfxboot support for fll-iso2usb.
  * reformat debian/control.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 25 Nov 2009 22:20:02 +0100

fll-installer (0.5.5) unstable; urgency=low

  * drop fll_analyze_initscripts and just call update-rc.d directly.

 -- Niall Walsh <niallwalsh@users.berlios.de>  Sun, 18 Oct 2009 00:28:31 +0100

fll-installer (0.5.4) unstable; urgency=medium

  * fixed typo

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 17 Sep 2009 16:11:15 +0200

fll-installer (0.5.3) unstable; urgency=low

  [ Joaquim Boura ]
  * Fixed some typos. Fancy boot  enhancements.
  * help did not shown -L
  * identify the booted kernel on the menü
  * cleaned up.

  [ Stefan Lippers-Hollmann ]
  * bump standards version to 3.8.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 16 Sep 2009 19:47:43 +0200

fll-installer (0.5.2) unstable; urgency=low

  * we want to appent lines to grub.cfg not overwrite it.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 08 Sep 2009 23:49:50 +0200

fll-installer (0.5.1) unstable; urgency=low

  * reintroduce slim support.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 Sep 2009 12:05:17 +0200

fll-installer (0.5.0) unstable; urgency=low

  * now can also be used when grub2 is installed
  * added some fancy entry screen it will need a 1024x768 png file named
    ${distro-name}-1024x768.png in /usr/share/wallpapers

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 06 Sep 2009 18:01:00 +0200

fll-installer (0.4.60) unstable; urgency=low

  * grrr missing bracket fixed

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 22 Aug 2009 17:41:38 +0200

fll-installer (0.4.59) unstable; urgency=low

  [ Joaquim Boura ]
  * write exit code always in /tmp/.fll-iso2usb and make it world writable
    so the gui called by the user can delete old ones

  [ Stefan Lippers-Hollmann ]
  * replace vol_id by blkid, as it has been dropped in udev 0.146-1.
  * bump standards version to 3.8.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 22 Aug 2009 16:20:21 +0200

fll-installer (0.4.58) unstable; urgency=low

  * mount_partition was called with empty value in the partition variable.

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 21 Aug 2009 22:41:02 +0200

fll-installer (0.4.57) unstable; urgency=low

  * RM: slim -- RoM (#538921).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 19 Aug 2009 00:27:03 +0200

fll-installer (0.4.56) unstable; urgency=low

  * when -d was use the debug file would got a bad name and so never created.
    (thks edhunter for noticing)
  * when installing fromiso on sd-ram the device/partiotion naming is a bit
    different from normal one.( thks rieper|net for testing)

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 19 Jul 2009 22:16:13 +0200

fll-installer (0.4.55) unstable; urgency=low

  * fixed missing quote.

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 12 Jul 2009 13:24:44 +0200

fll-installer (0.4.54) unstable; urgency=low

  * don't recommend install-meta anymore, it's gone.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 11 Jul 2009 13:57:35 +0200

fll-installer (0.4.53) unstable; urgency=low

  * also remove temporarily disabled services.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 09 Jul 2009 03:07:10 +0200

fll-installer (0.4.52) unstable; urgency=low

  * add slim.conf clean-up, thanks to edhunter.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 09 Jul 2009 02:26:50 +0200

fll-installer (0.4.51) unstable; urgency=low

  * test for TARGET_MNT_POINT in gdm reversion, thanks to edhunter for
    noticing.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 08 Jul 2009 21:27:34 +0200

fll-installer (0.4.50) unstable; urgency=low

  [ Joaquim Boura ]
  * option -e from chpasswd is gone. use usermod -p instead.

  [ Stefan Lippers-Hollmann ]
  * bump standards version to 3.8.1, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 15 Jun 2009 01:16:03 +0200

fll-installer (0.4.49) unstable; urgency=low

  * fixed mispelling in man page

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 04 Apr 2009 10:55:32 +0200

fll-installer (0.4.48) unstable; urgency=low

  * increase number of random characters for mktemp, required since mktemp
    >= 1.6-2.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 27 Mar 2009 01:14:40 +0100

fll-installer (0.4.47) unstable; urgency=low

  * modules/backend/system_services.bm:
    - Replace initscript search loop by one call of dpkg. This is much faster.
    - If kelmo's python-lsbscript package is installed, use output of
      lsb_scripts -t to sort the scripts in the whitelist according to
      dependencies.
    - Remove useless whitespace removing.
    - Do not ignore previously set entries in SERVICES_WHITELIST.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Wed, 04 Mar 2009 19:19:11 +0100

fll-installer (0.4.46) unstable; urgency=low

  * fll-installer:
    - Remove one superfluous error redirection.
    - Measure duration of fll-installer running and write it to STDOUT.
    - Fix buggy "find" call to search .bm files.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Tue, 17 Feb 2009 01:27:12 +0100

fll-installer (0.4.45) unstable; urgency=low

  * fll-installer/purge_live_only_stuff:
    - Forbid invoke-rc.d calls in chroot while purging packages by temporarily
      diverting /usr/sbin/policy-rc.d.
    - Fix typo in local variable installed_packages.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Wed, 11 Feb 2009 01:57:26 +0100

fll-installer (0.4.44) unstable; urgency=low

  * fll-iso2usb:
    - Sleep a second before mounting the partition.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Mon, 09 Feb 2009 19:54:03 +0100

fll-installer (0.4.43) unstable; urgency=low

  * fll-iso2usb: Create partition before mounting it.
  * fll-iso2usb:
    - Use partprobe to reread partition table after dd Boot Sector.
    - Add parted (for partprobe) to dependencies.
    - (fdisk lets the kernel reread the partition table after changing its
      entries.)

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Sat, 07 Feb 2009 19:40:43 +0100

fll-installer (0.4.42) unstable; urgency=low

  * protect answer "y" against current locale.

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 22 Jan 2009 07:03:12 +0100

fll-installer (0.4.41) unstable; urgency=low

  * removed --recheck option on grub-install call for fll-iso2usb it seems that
    failed tries are much lesser without that option; device boots correctly.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 13 Jan 2009 22:31:00 +0100

fll-installer (0.4.40) unstable; urgency=low

  * GRUB menu.lst can shows now  more than one Windows entry.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 13 Jan 2009 17:41:39 +0100

fll-installer (0.4.39) unstable; urgency=low

  * also include virtio block devices

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 11 Jan 2009 09:47:26 +0100

fll-installer (0.4.38) unstable; urgency=low

  * modules/backend/system_services.bm: indenting totally whacked;
    reindent.

 -- Kel Modderman <kel@otaku42.de>  Sun, 04 Jan 2009 20:36:24 +1000

fll-installer (0.4.37) unstable; urgency=medium

  * configure services hwlock checkroof and checkfs at the beginning of the list"
    Fixed bad re-string that was preventing umount to do his job with the root
    partition

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 01 Jan 2009 16:35:54 +0100

fll-installer (0.4.36) unstable; urgency=low

  * Remove useless /etc/motd modification.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Mon, 15 Dec 2008 21:44:14 +0100

fll-installer (0.4.35) unstable; urgency=low

  * do not overwrite vga cheatcode, if user wants one.

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 12 Dec 2008 23:13:41 +0100

fll-installer (0.4.34) unstable; urgency=low

  * make lintian happy and depend on ${misc:Depends}.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 08 Dec 2008 21:30:49 +0100

fll-installer (0.4.33) unstable; urgency=low

  * Throw away output of dpkg-query for nonexistent packages.
  * Check before unmounting TARGET_MNT_POINT.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Wed, 19 Nov 2008 23:41:13 +0100

fll-installer (0.4.32) unstable; urgency=low

  * fll-installer:
    - Redirect STDERR to $DEBUGLOG.
    - Redirect STDOUT of many script commands to STDERR.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Mon, 17 Nov 2008 23:13:12 +0100

fll-installer (0.4.31) unstable; urgency=low

  * copy2HD.bm:
    - Remove module_hd_progressbar calling. Never used.
  * progress.bm:
    - Remove function module_hd_progressbar.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Mon, 17 Nov 2008 20:44:42 +0100

fll-installer (0.4.30) unstable; urgency=low

  * Fix UID setting in fll-installer.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Mon, 17 Nov 2008 00:27:45 +0100

fll-installer (0.4.29) unstable; urgency=low

  * expand UID to id -ur.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 17 Nov 2008 00:15:28 +0100

fll-installer (0.4.28) unstable; urgency=low

  * fix uninitialized progress counter.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 16 Nov 2008 22:18:42 +0100

fll-installer (0.4.27) unstable; urgency=low

  * revert think, grub-pc is only needed for grub2.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 16 Nov 2008 21:02:03 +0100

fll-installer (0.4.26) unstable; urgency=low

  * add grub-pc to dependecies (provides update-grub now).
  * don't call update-grub with -y, deprecated.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 16 Nov 2008 20:45:15 +0100

fll-installer (0.4.25) unstable; urgency=low

  * system_services.bm:
    - Change SERVICE_WHITELIST 'sed'ing to a more efficient way.
  * Define UID by id -ur if not yet defined and use UID afterwards.
  * Change #!/bin/bash to #!/bin/sh.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Sun, 16 Nov 2008 17:19:36 +0100

fll-installer (0.4.24) unstable; urgency=low

  * POSIX shell, Part III:
    - Remove bash array constructs in system_services.bm.
    - More quoting.
  * fix_usb_install.bm:
    - Always define device_map.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Sun, 16 Nov 2008 01:47:30 +0100

fll-installer (0.4.23) unstable; urgency=low

  * add Michael Deelwater <michael.deelwater@googlemail.com> to Uploaders.
  * remove no longer required breaks.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 14 Nov 2008 23:43:27 +0100

fll-installer (0.4.22) unstable; urgency=low

  * On the way to POSIX shell, Part II:
    - Remove files modules/common/check_params.bm and
      add_and_register_vars.bm. Their functions are never used anymore.
    - Remove all $" strings for formatting. There are no translations, yet.
    - Use printf instead of echo -e and $".
    - Make some bash arrays normal list of strings. system_services.bm is
      still in bash form.
    - Replace (( )) constructs.
    - Minor clean-up and quoting.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Fri, 14 Nov 2008 04:15:59 +0100

fll-installer (0.4.21) unstable; urgency=low

  * On the way to POSIX shell. Remove many bashisms and deprecated bash
    constructs, and clean up the code to look more consistent. This is a bunch
    of rather trivial changes that should not break anything.
    - Remove "function" declarations for functions.
    - Replace "source" by ".".
    - Replace $[ by $((.
    - Replace all [[ ]] by [ ] with correct quoting.
    - Remove all -a and -o test constructs.
    - Replace $UID by $(id -ur).
    - Replace substring expansion by #??? stripping.
    - Replace $(<file) by $(cat file).
    - Always use [ ] for test.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Thu, 13 Nov 2008 04:54:01 +0100

fll-installer (0.4.20) unstable; urgency=low

  * No need to change owner of files under the home. Everything that we copy
    into there gets the default uid/gid. Probably this is also what causes
    troubles when user wants to install over an existing home ( even though
    we do no recommend it)

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 08 Nov 2008 12:43:39 +0100

fll-installer (0.4.19) unstable; urgency=low

  * install-usb-gui was deinstalled on purge live packages. Thks edhunter for noticing

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 02 Nov 2008 23:42:30 +0100

fll-installer (0.4.18) unstable; urgency=low

  * clean up some useless entries in gdm.conf.

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 23 Oct 2008 17:49:58 +0200

fll-installer (0.4.17) unstable; urgency=low

  * Add desktop-defaults-lxde to live packages to purge after install.

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Wed, 22 Oct 2008 23:20:13 +0200

fll-installer (0.4.16) unstable; urgency=low

  * system-services: add console-setup to package whitelist

 -- Michael Deelwater <michael.deelwater@googlemail.com>  Fri, 17 Oct 2008 01:17:50 +0200

fll-installer (0.4.15) unstable; urgency=low

  * For the user longname use the correct variable.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 07 Oct 2008 18:18:18 +0200

fll-installer (0.4.14) unstable; urgency=low

  * remove not longer working bashism

 -- Joaquim Boura <x-un-i@berlios.de>  Mon, 22 Sep 2008 00:25:58 +0200

fll-installer (0.4.13) unstable; urgency=low

  * somehow the variable device_map was undefined so grub entries for win
    got disrupted :(

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 21 Sep 2008 22:17:59 +0200

fll-installer (0.4.12) unstable; urgency=low

  [ Niall Walsh ]
  * Add fll-iso-strip, takes a dual arch iso and strips out an arch

  [ Stefan Lippers-Hollmann ]
  * fix install target.
  * make fll-iso-strip executable.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 21 Sep 2008 03:02:37 +0200

fll-installer (0.4.11) unstable; urgency=low

  * fll-iso2usb remove debugging read call after get_distro_name

 -- Niall Walsh <niallwalsh@users.berlios.de>  Fri, 19 Sep 2008 14:32:46 +0100

fll-installer (0.4.10) unstable; urgency=low

  [ Kel Modderman ]
  * modules/backend/fix_home_on_HD.bm:
    - only clean ownership when creating a new home
    - remove installer from fluxbox menu

  [ Joaquim Boura ]
  * when creating a fromiso using a real iso get the distro-defaults from the
    iso.

  [ Stefan Lippers-Hollmann ]
  * startsyslog isn't installed anymore, no need to purge it.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 18 Sep 2008 23:11:57 +0200

fll-installer (0.4.9) unstable; urgency=low

  * Only append an entry for metest86+ once, not once for each kernel.
  * Add a note to point out that we should really be sourcing distro-defaults
    config of the system we are installaing to usb and not the host system.
    They are not guarenteed to be the same.

 -- Kel Modderman <kel@otaku42.de>  Mon, 01 Sep 2008 09:36:25 +1000

fll-installer (0.4.8) unstable; urgency=low

  * Fix modules/backend/update_fstab.bm for removal of
    /etc/init.d/fll-resume.
  * Remove /etc/udev/rules.d/70-fll-live.rules before creating initramfs
    on target system.
  * Do not route output of update-initramfs into /dev/null or run it in
    a subshell.

 -- Kel Modderman <kel@otaku42.de>  Mon, 01 Sep 2008 07:11:00 +1000

fll-installer (0.4.7) unstable; urgency=low

  * changed counter so the progress bar no longer goes over 20 steps

 -- Joaquim Boura <x-un-i@berlios.de>  Wed, 27 Aug 2008 18:05:38 +0200

fll-installer (0.4.6) unstable; urgency=low

  * purge_live_only_stuff.bm: add fll-live-utils.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 30 Jul 2008 23:03:01 +1000

fll-installer (0.4.5) unstable; urgency=low

  * remove initial ext4 support again, even 2.6.27 won't be able to read
    partitions formatted explicitly as "ext4" (in contrast to "ext4dev") yet.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 20 Jul 2008 02:28:34 +0200

fll-installer (0.4.4) unstable; urgency=low

  * don't disable dir_index for ext2/ ext3/ ext4 partitions.
  * squeeze usage fll-iso2usb for into 80 characters.
  * add basic, untested, ext4 support.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 20 Jul 2008 00:24:11 +0200

fll-installer (0.4.3) unstable; urgency=low

  * Apply patch from ModestUser to correct behaviour when installing with an
    existing /home mapped.
  * modules/backend/copy2HD.bm:
    - do no copy live user's home, if there is an existing home for $USER_NAME
  * modules/backend/fix_home_on_HD.bm:
    - only do LIVEHOME to INSTHOME fixing if live user has actually been moved
      (there is nothing to fix on an old home)

 -- Kel Modderman <kel@otaku42.de>  Sat, 12 Jul 2008 11:36:56 +1000

fll-installer (0.4.2) unstable; urgency=low

  * modules/backend/install_grub.bm:
    - fix path to target grub legacy|gfxboot menu.lst
    - remove extra braces from mount | grep command

 -- Kel Modderman <kel@otaku42.de>  Wed, 09 Jul 2008 18:42:51 +1000

fll-installer (0.4.1) unstable; urgency=low

  * a few more adaptions for initial (no-tweaked) grub2 compatibility.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 07 Jul 2008 15:39:45 +0200

fll-installer (0.4.0) unstable; urgency=low

  * remove bogus device.map/ kernel_vers exports.
  * proper quoting.
  * sed can do the same as perl.
  * bindmounts are already set up externally.
  * don't hide grub-install/ update-grub output.
  * remove duplicate proc mounting again.
  * only save the first 446 byte of a block device, we only want the MBR and
    not clobber the partition table on restore.
  * fix sed calls and make regexp more robust.
  * fix test for grub-gfxboot.
  * stop groot and root mangling, new update-grub detects UUIDs on its own.
  * clean-up.
  * refactor grub charset.
  * merge sed calls.
  * not perfect or even tested in all possible combinations, but good enough
    to get started and polish it until Ωυρέα.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 07 Jul 2008 01:20:03 +0200

fll-installer (0.3.22) unstable; urgency=low

  * crude hack to allow grub-probe (grub-common) to find /.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 06 Jul 2008 02:10:55 +0200

fll-installer (0.3.21) unstable; urgency=low

  * remove confusing live traces from blkid.tab.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 26 Jun 2008 11:33:18 +0200

fll-installer (0.3.20) unstable; urgency=low

  * do not allow username and/or hostname with whitspaces included.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 24 Jun 2008 09:23:04 +0200

fll-installer (0.3.19) unstable; urgency=low

  * fixes some spelling errors

 -- Joaquim Boura <x-un-i@berlios.de>  Wed, 18 Jun 2008 21:56:12 +0200

fll-installer (0.3.18) unstable; urgency=low

  * fll-iso2usb:
    - fix avail -> use typo
    - remove use of undocumented 4th argument to menulst function for persist

 -- Kel Modderman <kel@otaku42.de>  Wed, 18 Jun 2008 08:33:33 +1000

fll-installer (0.3.17) unstable; urgency=low

  * fll-iso2usb:
    - overhaul of persistency creation function
    - add -P|--percent cli option to allow configurable use of free space for
      persist overlay file, falling back to 50%. It mus be > 10 and < 90
      percent of free space, no less, no more.
    - just format loopback file on vfat with ext2
    - update copyright timestamps

 -- Kel Modderman <kel@otaku42.de>  Tue, 17 Jun 2008 21:53:04 +1000

fll-installer (0.3.16) unstable; urgency=low

  * now allow to choose the filesystem for the created partition (vfat, ext2
    or ext3).

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 10 Jun 2008 20:58:24 +0200

fll-installer (0.3.15) unstable; urgency=low

  * bump standards version to 3.8.0, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 08 Jun 2008 15:41:18 +0200

fll-installer (0.3.14) unstable; urgency=low

  * modules/backend/system_services.bm:
    - revert changes from 0.3.12, do not use --force option when managing
      initscript runlevel config of installed chroot

 -- Kel Modderman <kel@otaku42.de>  Tue, 03 Jun 2008 20:16:55 +1000

fll-installer (0.3.13) unstable; urgency=low

  * don't create the boot/initrd.img symlink anymore.
  * update the menu.lst with our changes.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 02 Jun 2008 13:46:55 +0200

fll-installer (0.3.12) unstable; urgency=low

  * modules/backend/system_services.bm:
    - use --force option when computing update-rc.d/insserv command to insert
      critical init services into install chroot

 -- Kel Modderman <kel@otaku42.de>  Sun, 01 Jun 2008 16:50:52 +1000

fll-installer (0.3.11) unstable; urgency=low

  * fixed some typos. for the moment do not check available size against
    needed size

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 29 May 2008 22:29:23 +0200

fll-installer (0.3.10) unstable; urgency=low

  * when adding free size use the right field of the df -m output.
  * do not use UUID for grub when root is on a lvm2 partition.

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 29 May 2008 00:20:00 +0200

fll-installer (0.3.9) unstable; urgency=low

  * fixed typo (missing $)

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 27 May 2008 18:21:37 +0200

fll-installer (0.3.8) unstable; urgency=low

  * use extra args for kernel cmdline and default to nopersist.
  * add fll-iso2usb-syslinux info to debian/copyright.

 -- Niall Walsh <niallwalsh@users.berlios.de>  Tue, 27 May 2008 14:30:47 +0100

fll-installer (0.3.7) unstable; urgency=low

  [ Niall Walsh ]
  * Add sidux version of Fedora livecd-iso-to-disk.sh as fll-iso2usb-syslinux

  [ Joaquim Boura ]
  * Added abort_progress to abort properly the install-gui

 -- Joaquim Boura <x-un-i@berlios.de>  Mon, 26 May 2008 23:36:33 +0200

fll-installer (0.3.6) unstable; urgency=low

  * Send abort message to the gui when an error occur. Check size of the
    partition where user wants to install against size of the uncompressed iso

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 25 May 2008 21:51:19 +0200

fll-installer (0.3.5) unstable; urgency=low

  * improve error handling

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 25 May 2008 15:06:00 +0200

fll-installer (0.3.4) unstable; urgency=low

  * remove error and debug files if the installer is called again

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 23 May 2008 10:55:21 +0200

fll-installer (0.3.3) unstable; urgency=low

  * before add the bootmanager create an fstab "old style" but include alwayas
    the root device.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 20 May 2008 19:56:01 +0200

fll-installer (0.3.2) unstable; urgency=low

  * modules/backend/create_initrd.bm:
    - revert changes of 0.3.1
  * modules/backend/fix_etc_on_HD.bm:
    - reinstate saving of alsa sound state, it is indeed useful

 -- Kel Modderman <kel@otaku42.de>  Mon, 19 May 2008 23:24:01 +1000

fll-installer (0.3.1) unstable; urgency=low

  * modules/backend/add_bootmanager.bm:
    - use fll_fstab_generator and not fll_fshelper
  * modules/backend/update_fstab.bm:
    - use fll_fstab_generator and not fll_fshelper
  * modules/backend/fix_etc_on_HD.bm:
    - do not bother saving alsa state here
  * modules/backend/update_resume_conf.bm:
    - purged, obsolete. Remove call to function from main.bm
  * modules/backend/create_initrd.bm:
    - run /etc/init.d/fll-resume to correct any change to initramfs
      configuration

 -- Kel Modderman <kel@otaku42.de>  Mon, 19 May 2008 20:23:45 +1000

fll-installer (0.3.0) unstable; urgency=low

  * Add myself to uploaders.
  * Integrate fll-iso2usb script, a direct rename of install_fromiso_in_USB
    from the install-usb-gui package.

 -- Kel Modderman <kel@otaku42.de>  Mon, 12 May 2008 20:36:20 +1000

fll-installer (0.2.23) unstable; urgency=low

  * switch to the new dh implementation of debhelper 7.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 07 May 2008 01:06:13 +0200

fll-installer (0.2.22) unstable; urgency=low

  * live-only packages have been renamed.

 -- Joaquim Boura <x-un-i@berlios.de>  Mon, 21 Apr 2008 20:49:07 +0200

fll-installer (0.2.21) unstable; urgency=low

  * modules/backend/fix_etc_on_HD.bm:
    - regenerate ssl-cert snakeoil with installed chroots hostname

 -- Kel Modderman <kel@otaku42.de>  Mon, 24 Mar 2008 23:44:11 +1000

fll-installer (0.2.20) unstable; urgency=low

  * remove packages for virtual-box-guest when this are not needed on the
    installed system

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 15 Mar 2008 16:52:45 +0100

fll-installer (0.2.19) unstable; urgency=low

  * make get_root_device silent

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 09 Mar 2008 20:42:01 +0100

fll-installer (0.2.18) unstable; urgency=low

  * enhanced the verbosity

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 07 Mar 2008 00:38:41 +0100

fll-installer (0.2.17) unstable; urgency=low

  * modules/backend/system_services.bm:
    - don't check that first argument returned by fll_analyze_initscripts is
    update-rc.d, just check it was returned. The system may be using insserv.
  * if you have a .sidconf in /root dir then calling fll-installer will do
    a partially silent installation. There are some options [-d|--debug] will
    output  the commands called in /tmp/.install.debug. The fifo used for
    the progressbar can be passed using [-i|--inotify <filename>] or using the
    old way: installer inotify_fifo. An -h option is also provided
    Errors ( not yet all are logged in the file /tmp/.installer.error
    Verbosity should/will be enhanced
    remove encrypted passwords from the config file

 -- Joaquim Boura <x-un-i@berlios.de>  Wed, 05 Mar 2008 00:14:28 +0100

fll-installer (0.2.16) unstable; urgency=low

  * copy2hd.bm:
    - make sure /selinux is created on target root filesystem.

 -- Kel Modderman <kel@otaku42.de>  Fri, 29 Feb 2008 13:46:27 +1000

fll-installer (0.2.15) unstable; urgency=low

  * yet another attempt to nuke SELINUX_INIT=NO.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 23 Feb 2008 23:41:13 +0100

fll-installer (0.2.14) unstable; urgency=low

  * reintroduce SELINUX_INIT=NO again, it's still needed.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 22 Feb 2008 23:40:01 +0100

fll-installer (0.2.13) unstable; urgency=low

  * appease lintian and write (C) as © in debian/copyright.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 20 Feb 2008 22:12:30 +0100

fll-installer (0.2.12) unstable; urgency=low

  * SELINUX_INIT=NO should no longer be required.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 07 Feb 2008 22:21:46 +0100

fll-installer (0.2.11) unstable; urgency=low

  * whitelist anacron post-install.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 01 Feb 2008 15:00:47 +0100

fll-installer (0.2.10) unstable; urgency=low

  * whitelist new syslog dæmons.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 30 Jan 2008 11:04:32 +0100

fll-installer (0.2.9) unstable; urgency=low

  * the problems with grub have been identified, remove uneccessary noise
    again (plain revert to r14315).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 29 Jan 2008 21:10:19 +0100

fll-installer (0.2.8) unstable; urgency=low

  * don't hide grub-install output, we need the debugging output.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 29 Jan 2008 14:56:18 +0100

fll-installer (0.2.7) unstable; urgency=low

  * update to debhelper compat 6.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 18 Jan 2008 23:19:28 +0100

fll-installer (0.2.6) unstable; urgency=low

  * revert usless su-to-rootrc removal, the bug is in gksu, so we don't need
    to preseed su-to-rootrc in the first place.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 17 Jan 2008 03:02:16 +0100

fll-installer (0.2.5) unstable; urgency=low

  * revert live-only changes to /etc/su-to-rootrc.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 17 Jan 2008 01:26:18 +0100

fll-installer (0.2.4) unstable; urgency=low

  * changed entry for windows to allow vista to boot.

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 06 Jan 2008 01:09:04 +0100

fll-installer (0.2.3) unstable; urgency=low

  * set SELINUX_INIT=NO per default on grub's menu.lst

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 08 Dec 2007 12:20:35 +0100

fll-installer (0.2.2) unstable; urgency=low

  * for jfs/xfs set grub to MBR on the install disk unless already an MBR
    location is given.

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 07 Dec 2007 21:13:56 +0100

fll-installer (0.2.1) unstable; urgency=low

  * Pre-Depends: dpkg (>= 1.14.6) to allow Breaks: support.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 06 Dec 2007 10:01:40 +0100

fll-installer (0.2.0) unstable; urgency=low

  [ Joaquim Boura ]
  * Allowing the grub's installation over a choosen MBR or over the root
    partition. No changes for USB installs.
  * Ignore install Grub on MBR of a USB device, use the old way for it.
    Accept "mbr", "partition" and "/dev/[hs}d[a-z]" as valid places for the Grub.

  [ Kel Modderman ]
  * Fix syntax error in modules/backend/install_grub.bm introduced by above
    changes (r13094).

  [ Stefan Lippers-Hollmann ]
  * Breaks: install-gui (<< 0.5)

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 06 Dec 2007 09:58:41 +0100

fll-installer (0.1.15) unstable; urgency=low

  * modules/backend/update_fstab.bm:
    - hijack this module to execute new fll-resume initscript to validate
      installed systems resume configuration

 -- Kel Modderman <kel@otaku42.de>  Tue, 04 Dec 2007 16:56:12 +1000

fll-installer (0.1.14) unstable; urgency=low

  * remove default user from sudo.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 03 Dec 2007 22:13:37 +0100

fll-installer (0.1.13) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * update to Standards-Version 3.7.3, no changes necessary.

  [ Horst Tritremmel ]
  * fontsize reworked for progress.bm

 -- Horst Tritremmel <hjt@users.berlios.de>  Mon, 03 Dec 2007 16:17:09 +0100

fll-installer (0.1.12) unstable; urgency=low

  [ Joaquim Boura ]
  * use new option from fll_fshelper to include in fstab all partitions of the
    currently used drives.

  [ Stefan Lippers-Hollmann ]
  * bump fll-live-initscriüpts dependency to >= 2.0.70.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 02 Dec 2007 21:35:26 +0100

fll-installer (0.1.11) unstable; urgency=low

  * clean up device.map and menu.list for USB HD installs

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 01 Dec 2007 17:25:22 +0100

fll-installer (0.1.10) unstable; urgency=low

  * switch fallback defaults to FLL_LIVE_USER="sidux" and
    FLL_MOUNTPOINT="/fll/sidux", simplify variable seeding.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 29 Nov 2007 21:33:16 +0100

fll-installer (0.1.9) unstable; urgency=low

  * remove virtualisation helpers on non-emulated hardware.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 26 Nov 2007 17:48:49 +0100

fll-installer (0.1.8) unstable; urgency=low

  * "x from 20" changed to "x of 20" in progress.bm

 -- Horst Tritremmel <hjt@users.berlios.de>  Thu, 15 Nov 2007 13:50:23 +0100

fll-installer (0.1.7) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * update syntax for Vcs headers in debian/control

  [ Kel Modderman ]
  * s/alsa/alsa-base/ in system_services.bm.

 -- Kel Modderman <kel@otaku42.de>  Wed, 10 Oct 2007 21:24:08 +1000

fll-installer (0.1.6) unstable; urgency=low

  * modules/backend/purge_live_only_stuff.bm:
    - fll-xorgconfig replaced xorgconfig-sidux and hwsetup-ng

 -- Kel Modderman <kel@otaku42.de>  Thu, 27 Sep 2007 22:50:57 +1000

fll-installer (0.1.5) unstable; urgency=low

  * revert XFCE shutdown and reboot button, allow the xfce default_user
    to shutdown

 -- Horst Tritremmel <hjt@users.berlios.de>  Wed, 19 Sep 2007 22:23:12 +0200

fll-installer (0.1.4) unstable; urgency=low

  * We want the gdm-theme (set by desktop-defaults in live mode) on hd-
    install, only remove autologin for gdm. Fixed in fix_etc_on_HD.bm

 -- Horst Tritremmel <hjt@users.berlios.de>  Wed, 19 Sep 2007 12:59:07 +0200

fll-installer (0.1.3) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * add VCS control headers.

  [ Horst Tritremmel ]
  * printf for new install-gui choice "install with terminal output, debug
    modus" in prgressbar.bm

 -- Horst Tritremmel <hjt@users.berlios.de>  Thu, 13 Sep 2007 11:08:09 +0200

fll-installer (0.1.2) unstable; urgency=low

  *  remove hardcoded gdm theme setting

 -- Bernard Gray <bernard.gray@gmail.com>  Tue, 28 Aug 2007 14:15:45 +1000

fll-installer (0.1.1) unstable; urgency=low

  * fll-fsprober is no more, fll-live-initscripts will provide required
    script.

 -- Kel Modderman <kel@otaku42.de>  Fri, 24 Aug 2007 10:53:31 +1000

fll-installer (0.1.0) unstable; urgency=low

  * use fll-fshelper.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 22 Aug 2007 15:57:36 +0200

fll-installer (0.0.35) unstable; urgency=low

  * fixed typo

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 17 Aug 2007 07:07:09 +0200

fll-installer (0.0.34) unstable; urgency=low

  * fix regexp in update_passwd.bm to match multiple users per group.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 15 Aug 2007 15:20:40 +0200

fll-installer (0.0.33) unstable; urgency=low

  * modules/backend/copy2HD.bm: don't test for /home/${USER_NAME} on target.
    Just skip rsync'ing /home if home/${DEFAULT_USER} exists on target.
  * modules/backend/fix_home_on_HD.bm:
    - NEWHOME -> INSTHOME, OLDHOME -> LIVEHOME variable distinction, with
      comments
    - don't mv LIVEHOME to INSTHOME unless the former exists, and the latter
      does not exist
    - remove fugly for $(find...); do loop, replace with a more well thought
      out find piped through a perl one liner
    - remove KDE cleanup via self-destructing script, who really cares...
    - add curly brackets around variable names for consistency

 -- Kel Modderman <kel@otaku42.de>  Wed, 01 Aug 2007 14:51:31 +1000

fll-installer (0.0.32) unstable; urgency=low

  * modules/backend/system_services.bm: add util-linux to package whitelist.

 -- Kel Modderman <kel@otaku42.de>  Tue, 31 Jul 2007 11:07:54 +1000

fll-installer (0.0.31) unstable; urgency=low

  * modules/backend/system_services.bm: improve regexp.
  * modules/backend/system_services.bm: use sed to print out group match, and
    test for executable bit before processing each file starting with
    "/etc/init.d/".

 -- Kel Modderman <kel@otaku42.de>  Mon, 30 Jul 2007 17:11:59 +1000

fll-installer (0.0.30) unstable; urgency=low

  * modules/backend/system_services.bm: base runlevel configuration on a
    package whitelist. Don't bother scanning through installed initscripts,
    formulate a initscript-list from a list of package names with dpkg-query.

 -- Kel Modderman <kel@otaku42.de>  Mon, 30 Jul 2007 00:43:18 +1000

fll-installer (0.0.29) unstable; urgency=low

  * modules/backend/fix_etc_on_HD.bm:
    - remove floundered attempt at managing ntpdate
    - revert possible hack to /etc/pam.d/login by fll-live-initscripts

 -- Kel Modderman <kel@otaku42.de>  Fri, 27 Jul 2007 08:26:53 +1000

fll-installer (0.0.28) unstable; urgency=low

  * modules/backend/make_floppy.bm: fix poor syntax.

 -- Kel Modderman <kel@otaku42.de>  Tue, 24 Jul 2007 22:39:54 +1000

fll-installer (0.0.27) unstable; urgency=low

  * modules/backend/fix_home_on_HD.bm: really revert gksu sudo workaround
    by removing .gconf/apps/gksu/%gconf.xml.
  * modules/backend/system_services.bm: sytactical cleanup.

 -- Kel Modderman <kel@otaku42.de>  Thu, 12 Jul 2007 14:19:42 +1000

fll-installer (0.0.26) unstable; urgency=low

  * modules/backend/fix_home_on_HD.bm: revert gksu sudo mode hack.

 -- Kel Modderman <kel@otaku42.de>  Sat, 30 Jun 2007 19:19:39 +1000

fll-installer (0.0.25) unstable; urgency=low

  * modules/backend/fix_etc_on_HD.bm: reverse ntpdate hack made by
    fll-network.

 -- Kel Modderman <kel@otaku42.de>  Wed, 27 Jun 2007 08:19:40 +1000

fll-installer (0.0.24) unstable; urgency=low

  * do not create the floppy dir under root (/). Done some cleanup.

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 24 Jun 2007 14:43:26 +0200

fll-installer (0.0.23) unstable; urgency=low

  * modules/backend/update_resume_conf.bm: new function module to fix resume
    partition on installed system.

 -- Kel Modderman <kel@otaku42.de>  Fri, 22 Jun 2007 19:17:30 +1000

fll-installer (0.0.22) unstable; urgency=low

  * if user wants make a boot floppy

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 21 Jun 2007 21:25:23 +0200

fll-installer (0.0.21) unstable; urgency=low

  * modules/backend/system_services.bm: use full path on
    fll_analyze_initscripts command, or else it seems like a function that
    has been defined within the installer backend modules.
  * modules/backend/system_services.bm: remove useless "continue" in
    update-rc.d loop.
  * modules/backend/system_services.bm: add comment above magical loop that
    sets up the runlevel configuration of the installed chroot.

 -- Kel Modderman <kel@otaku42.de>  Thu, 21 Jun 2007 20:00:57 +1000

fll-installer (0.0.20) unstable; urgency=low

  * make_floppy function was missing

 -- Joaquim Boura <x-un-i@berlios.de>  Wed, 20 Jun 2007 17:38:10 +0200

fll-installer (0.0.19) unstable; urgency=low

  [ Joaquim Boura ]
  * wait till everything is set before umounting.
  * set right options when "de" was choosen

  [ Kel Modderman ]
  * modules/backend/copy2HD.bm: use some shell variable substitution logic to
    allow choice between rsyncing from DEFAULT_DIR or the live filesystem. For
    /dev, do just that. This ensures we have a minimal static /dev at all
    times.
  * data/exclusion_list: don't exclude /dev/*, we want to copy the static
    device nodes from the squashfs.

 -- Joaquim Boura <x-un-i@berlios.de>  Wed, 20 Jun 2007 00:50:15 +0200

fll-installer (0.0.18) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * minor spelling fixes.

  [ Kel Modderman ]
  * modules/backend/main.bm: sync after doing the work.Fix a typo in comment
    while there.
  * modules/backend/purge_live_only_stuff.bm: get rid of redirection.

 -- Kel Modderman <kel@otaku42.de>  Mon, 18 Jun 2007 21:57:07 +1000

fll-installer (0.0.17) unstable; urgency=low

  * modules/backend/main.bm: make_floppy doesn't exist, nor can we really
    provide it. Purge any reference to it.

 -- Kel Modderman <kel@otaku42.de>  Mon, 18 Jun 2007 21:24:40 +1000

fll-installer (0.0.16) unstable; urgency=low

  * fll-installer: define TMPDIR. Use mktemp to do it.

 -- Kel Modderman <kel@otaku42.de>  Mon, 18 Jun 2007 21:07:46 +1000

fll-installer (0.0.15) unstable; urgency=low

  * modules/backend/fix_home_on_HD.bm: sort KDE desktop icons once on first
    login with self destructing script that calls `kfmclient sortDesktop'.

 -- Kel Modderman <kel@otaku42.de>  Mon, 18 Jun 2007 12:04:23 +1000

fll-installer (0.0.14) unstable; urgency=low

  * modules/backend/system_services.bm: complete logic rewrite due to last
    changes. Runlevel configurations are no longer fully preserved as we did
    not copy the read only mount to the hdd, but the live system. SCan the
    installed init scripts, (re)configure them if they are in the service
    whitelist. We look up required update-rc.d command by analyzing the read
    only mount point runlevel configuration with fll_analyze_initscripts.
  * modules/backend/system_services.bm: no longer need to detect if various
    services were started, if they were started by fll-live-initscripts they
    were also configured/preserved wrt to sysvinit.
  * modules/backend/system_services.bm: remove aumix and modutils from service
    whitelist array.
  * modules/backend/system_services.bm: fix test to see if ssh requires
    preconfiguration.
  * Depend on rsync and fll-live-initscripts.

 -- Kel Modderman <kel@otaku42.de>  Mon, 18 Jun 2007 02:34:45 +1000

fll-installer (0.0.13) unstable; urgency=low

  [ Kel Modderman ]
  * modules/backend/copy2HD.bm: rewrite the function that does the live -> hd
    copy. Use rsync with an exclude file. Copy the live filesystem, not just
    the read only mount point.
  * data/exclusion_list: add this list for input to rsync in copy2HD.
  * modules/backend/fix_etc_on_HD.bm: no longer special handle /tmp
  * modules/backend/convert_live2HD.bm: no longer call functions copy_etc2HD,
    copy_home2HD or system_create_modules.
  * modules/backend/system_findchanged.bm: removed
  * modules/backend/system_create_modules.bm: removed
  * modules/backend/copy_etc2HD.bm: removed
  * modules/backend/copy_home2HD.bm: removed
  * modules/backend/fix_home_on_HD.bm:
    - mv $live_user $new_user on target filesystem
    - no longer manually rm user tmp files, they are excluded at rsync time
  * modules/backend/fix_locales_on_HD.bm: cleanups
    - update Needs: header for TARGET_MNT_POINT and USER_NAME
    - use /usr/bin/env -i to ensure clean environment apart from FLL_LANG when
      calling /etc/init.d/fll-locales with argument of "localize".
    - update .kde/share/config/kxkbrc for installed user based on new
      KDEKEYBOARDS.
    - fix typo, s/fll_locales/fll-locales/
  * modules/backend/fix_home_on_HD.bm: many cleanups
    - remove /root/.hushlogin that may have been put there by fll-rootsh
    - same for /home/$user/.hushlogin
    - put all file removals in a for loop
    - put all sudo removals in a for loop
    - don't clobber ~/.bashrc, just use sed to make sudo vanish

  [ Joaquim Boura ]
  * modules/backend/progress.bm: code it's already in the initialization
  * modules/backend/fix_etc_on_HD.bm: update-menu was already gone
  * modules/backend/prpareHD.bm: typo in file name fixed

 -- Kel Modderman <kel@otaku42.de>  Sun, 17 Jun 2007 23:27:03 +1000

fll-installer (0.0.12) unstable; urgency=low

  * run fll_locales on the installed system and correct the X11 kbd

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 16 Jun 2007 22:08:44 +0200

fll-installer (0.0.11) unstable; urgency=low

  [ Kel Modderman ]
  * Update purge_live_only_stuff() for changes during transition from
    knx-installer.

  [ Joaquim Boura ]
  * first steps to enhance locale support.

 -- Joaquim Boura <x-un-i@berlios.de>  Sun, 17 Jun 2007 20:24:19 +0200

fll-installer (0.0.10) unstable; urgency=low

  * handle locale globally.

 -- Joaquim Boura <x-un-i@berlios.de>  Sat, 16 Jun 2007 14:24:53 +0200

fll-installer (0.0.9) unstable; urgency=low

  * cleanup modules/backend/fix_home_on_HD.bm:
    - remove obsolete .mozilla hack
    - no longer make ~/Desktop/sidux.desktop
    - put sudo hacked files in a for loop for removal

 -- Kel Modderman <kel@otaku42.de>  Sat, 16 Jun 2007 10:34:45 +1000

fll-installer (0.0.8) unstable; urgency=low

  * add hdparm to service white list, this allows the powermanagement to kick
    in.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 16 Jun 2007 01:30:51 +0200

fll-installer (0.0.7) unstable; urgency=low

  * change the sources.list to use one of the primary debian mirrors

 -- Joaquim Boura <x-un-i@berlios.de>  Thu, 14 Jun 2007 23:24:27 +0200

fll-installer (0.0.6) unstable; urgency=low

  * do not start install-meta, install-gui handels this now

 -- Horst Tritremmel <hjt@users.berlios.de>  Thu, 14 Jun 2007 15:33:08 +0200

fll-installer (0.0.5) unstable; urgency=low

  * Revert su-to-root workaround.
  * Update default fallback definitions for DEFAULT_DIR.

 -- Kel Modderman <kel@otaku42.de>  Thu, 14 Jun 2007 20:22:39 +1000

fll-installer (0.0.4) unstable; urgency=low

  * save a copy of the log on the HD install

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 08 Jun 2007 10:37:57 +0200

fll-installer (0.0.3) unstable; urgency=low

  * Add hal to system services whitelist.

 -- Kel Modderman <kel@otaku42.de>  Fri, 08 Jun 2007 09:43:40 +1000

fll-installer (0.0.2) unstable; urgency=low

  * remove live-only stuff

 -- Joaquim Boura <x-un-i@berlios.de>  Fri, 08 Jun 2007 00:43:34 +0200

fll-installer (0.0.1) unstable; urgency=low

  [ Joaquim Boura ]
  * Initial release.

  [ Stefan Lippers-Hollmann ]
  * section: admin.
  * arch: all.
  * add myself to Uploaders.
  * build-depend on cdbs.
  * native packaging.
  * simplify packaging.
  * lintian fixes.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 07 Jun 2007 22:12:37 +0200

